## org.eclipse.uml2.uml.resource
Class UML22UMLResourceHandler

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler
          org.eclipse.uml2.uml.resource.UML22UMLResourceHandler

All Implemented Interfaces:
  org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler

    public class UML22UMLResourceHandler

extends org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler

Field Summary
`protected static boolean` `DEBUG`
`protected boolean` `resolveProxies`
`protected static java.lang.String` `STEREOTYPE__ACTION`
`protected static java.lang.String` `STEREOTYPE__ACTIVITY`
`protected static java.lang.String` `STEREOTYPE__CLASSIFIER_TEMPLATE_PARAMETER`
`protected static java.lang.String` `STEREOTYPE__COMMENT`
`protected static java.lang.String` `STEREOTYPE__EXPRESSION`
`protected static java.lang.String` `STEREOTYPE__MESSAGE`
`protected static java.lang.String` `STEREOTYPE__OPAQUE_EXPRESSION`
`protected static java.lang.String` `STEREOTYPE__TEMPLATE_SIGNATURE`
`protected static java.lang.String` `STEREOTYPE__TEMPLATEABLE_ELEMENT`
`protected static java.lang.String` `STEREOTYPE__TIME_EVENT`
`protected static java.lang.String` `TAG_DEFINITION__BEHAVIOR`
`protected static java.lang.String` `TAG_DEFINITION__BODY`
`protected static java.lang.String` `TAG_DEFINITION__BODY_EXPRESSION`
`protected static java.lang.String` `TAG_DEFINITION__DEFAULT_CLASSIFER`
`protected static java.lang.String` `TAG_DEFINITION__EFFECT`
`protected static java.lang.String` `TAG_DEFINITION__LANGUAGE`
`protected static java.lang.String` `TAG_DEFINITION__NESTED_SIGNATURE`
`protected static java.lang.String` `TAG_DEFINITION__NESTING_SIGNATURE`
`protected static java.lang.String` `TAG_DEFINITION__OPERAND`
`protected static java.lang.String` `TAG_DEFINITION__OWNED_TEMPLATE_SIGNATURE`
`protected static java.lang.String` `TAG_DEFINITION__SIGNATURE`
`protected static java.lang.String` `TAG_DEFINITION__SYMBOL`
`protected static java.lang.String` `TAG_DEFINITION__TEMPLATE_BINDING`
`protected static java.lang.String` `TAG_DEFINITION__WHEN`
`protected static java.lang.String` `UML2_UML_PACKAGE_2_0_NS_URI`

Constructor Summary
`UML22UMLResourceHandler()`

Method Summary
`protected org.eclipse.emf.ecore.xml.type.AnyType` `getExtension(org.eclipse.emf.ecore.xmi.XMLResource resource, org.eclipse.emf.ecore.EObject eObject)`
`protected Profile` `getUML2Profile(Element element)`
`protected Stereotype` `getUML2Stereotype(Element element, java.lang.String name)`
`protected java.lang.Object` `getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name)`
`protected java.lang.Object` `getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name, boolean remove)`
`protected java.util.Collection<java.lang.Object>` `getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name)`
`protected java.util.Collection<java.lang.Object>` `getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap, java.lang.String name, boolean remove)`
`protected org.eclipse.emf.ecore.InternalEObject` `handleProxy(org.eclipse.emf.ecore.InternalEObject internalEObject)`
`void` `postLoad(org.eclipse.emf.ecore.xmi.XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)`
`protected org.eclipse.emf.ecore.xml.type.AnyType` `putExtension(org.eclipse.emf.ecore.xmi.XMLResource resource, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.xml.type.AnyType extension)`
`protected org.eclipse.emf.ecore.EObject` `reincarnate(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EClass eClass)`
`protected org.eclipse.emf.ecore.EObject` `reincarnate(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EClass eClass, org.eclipse.emf.ecore.xmi.XMLResource resource)`
`protected org.eclipse.emf.ecore.xml.type.AnyType` `removeExtension(org.eclipse.emf.ecore.xmi.XMLResource resource, org.eclipse.emf.ecore.EObject eObject)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler
`postSave, preLoad, preSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    protected static final boolean DEBUG

See Also:
  Constant Field Values

### resolveProxies

    protected boolean resolveProxies

### STEREOTYPE__ACTION

    protected static final java.lang.String STEREOTYPE__ACTION

See Also:
  Constant Field Values

### STEREOTYPE__ACTIVITY

    protected static final java.lang.String STEREOTYPE__ACTIVITY

See Also:
  Constant Field Values

### STEREOTYPE__COMMENT

    protected static final java.lang.String STEREOTYPE__COMMENT

See Also:
  Constant Field Values

### STEREOTYPE__EXPRESSION

    protected static final java.lang.String STEREOTYPE__EXPRESSION

See Also:
  Constant Field Values

### STEREOTYPE__MESSAGE

    protected static final java.lang.String STEREOTYPE__MESSAGE

See Also:
  Constant Field Values

### STEREOTYPE__OPAQUE_EXPRESSION

    protected static final java.lang.String STEREOTYPE__OPAQUE_EXPRESSION

See Also:
  Constant Field Values

### STEREOTYPE__TEMPLATE_SIGNATURE

    protected static final java.lang.String STEREOTYPE__TEMPLATE_SIGNATURE

See Also:
  Constant Field Values

### STEREOTYPE__TIME_EVENT

    protected static final java.lang.String STEREOTYPE__TIME_EVENT

See Also:
  Constant Field Values

### STEREOTYPE__TEMPLATEABLE_ELEMENT

    protected static final java.lang.String STEREOTYPE__TEMPLATEABLE_ELEMENT

See Also:
  Constant Field Values

### STEREOTYPE__CLASSIFIER_TEMPLATE_PARAMETER

    protected static final java.lang.String STEREOTYPE__CLASSIFIER_TEMPLATE_PARAMETER

See Also:
  Constant Field Values

### TAG_DEFINITION__BEHAVIOR

    protected static final java.lang.String TAG_DEFINITION__BEHAVIOR

See Also:
  Constant Field Values

### TAG_DEFINITION__BODY

    protected static final java.lang.String TAG_DEFINITION__BODY

See Also:
  Constant Field Values

### TAG_DEFINITION__BODY_EXPRESSION

    protected static final java.lang.String TAG_DEFINITION__BODY_EXPRESSION

See Also:
  Constant Field Values

### TAG_DEFINITION__EFFECT

    protected static final java.lang.String TAG_DEFINITION__EFFECT

See Also:
  Constant Field Values

### TAG_DEFINITION__LANGUAGE

    protected static final java.lang.String TAG_DEFINITION__LANGUAGE

See Also:
  Constant Field Values

### TAG_DEFINITION__NESTED_SIGNATURE

    protected static final java.lang.String TAG_DEFINITION__NESTED_SIGNATURE

See Also:
  Constant Field Values

### TAG_DEFINITION__NESTING_SIGNATURE

    protected static final java.lang.String TAG_DEFINITION__NESTING_SIGNATURE

See Also:
  Constant Field Values

### TAG_DEFINITION__OPERAND

    protected static final java.lang.String TAG_DEFINITION__OPERAND

See Also:
  Constant Field Values

### TAG_DEFINITION__SIGNATURE

    protected static final java.lang.String TAG_DEFINITION__SIGNATURE

See Also:
  Constant Field Values

### TAG_DEFINITION__SYMBOL

    protected static final java.lang.String TAG_DEFINITION__SYMBOL

See Also:
  Constant Field Values

### TAG_DEFINITION__WHEN

    protected static final java.lang.String TAG_DEFINITION__WHEN

See Also:
  Constant Field Values

### TAG_DEFINITION__DEFAULT_CLASSIFER

    protected static final java.lang.String TAG_DEFINITION__DEFAULT_CLASSIFER

See Also:
  Constant Field Values

### TAG_DEFINITION__TEMPLATE_BINDING

    protected static final java.lang.String TAG_DEFINITION__TEMPLATE_BINDING

See Also:
  Constant Field Values

### TAG_DEFINITION__OWNED_TEMPLATE_SIGNATURE

    protected static final java.lang.String TAG_DEFINITION__OWNED_TEMPLATE_SIGNATURE

See Also:
  Constant Field Values

### UML2_UML_PACKAGE_2_0_NS_URI

    protected static final java.lang.String UML2_UML_PACKAGE_2_0_NS_URI

See Also:
  Constant Field Values

Constructor Detail

### UML22UMLResourceHandler

    public UML22UMLResourceHandler()

Method Detail

### getExtension

    protected org.eclipse.emf.ecore.xml.type.AnyType getExtension(org.eclipse.emf.ecore.xmi.XMLResource resource,
                                                                  org.eclipse.emf.ecore.EObject eObject)

### putExtension

    protected org.eclipse.emf.ecore.xml.type.AnyType putExtension(org.eclipse.emf.ecore.xmi.XMLResource resource,
                                                                  org.eclipse.emf.ecore.EObject eObject,
                                                                  org.eclipse.emf.ecore.xml.type.AnyType extension)

### removeExtension

    protected org.eclipse.emf.ecore.xml.type.AnyType removeExtension(org.eclipse.emf.ecore.xmi.XMLResource resource,
                                                                     org.eclipse.emf.ecore.EObject eObject)

### getValue

    protected java.lang.Object getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                        java.lang.String name)

### getValue

    protected java.lang.Object getValue(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                        java.lang.String name,
                                        boolean remove)

### getValues

    protected java.util.Collection<java.lang.Object> getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                                               java.lang.String name)

### getValues

    protected java.util.Collection<java.lang.Object> getValues(org.eclipse.emf.ecore.util.FeatureMap featureMap,
                                                               java.lang.String name,
                                                               boolean remove)

### handleProxy

    protected org.eclipse.emf.ecore.InternalEObject handleProxy(org.eclipse.emf.ecore.InternalEObject internalEObject)

### reincarnate

    protected org.eclipse.emf.ecore.EObject reincarnate(org.eclipse.emf.ecore.EObject eObject,
                                                        org.eclipse.emf.ecore.EClass eClass,
                                                        org.eclipse.emf.ecore.xmi.XMLResource resource)

### reincarnate

    protected org.eclipse.emf.ecore.EObject reincarnate(org.eclipse.emf.ecore.EObject eObject,
                                                        org.eclipse.emf.ecore.EClass eClass)

### getUML2Profile

    protected Profile getUML2Profile(Element element)

### getUML2Stereotype

    protected Stereotype getUML2Stereotype(Element element,
                                           java.lang.String name)

### postLoad

    public void postLoad(org.eclipse.emf.ecore.xmi.XMLResource resource,
                         java.io.InputStream inputStream,
                         java.util.Map<?,?> options)

  Specified by:
    `postLoad` in interface `org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler`
  Overrides:
    `postLoad` in class `org.eclipse.emf.ecore.xmi.impl.BasicResourceHandler`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.